## Auth Auth |

## Functions

MbimMessage * | mbim_message_auth_aka_query_new ()
gboolean | mbim_message_auth_aka_response_parse ()
MbimMessage * | mbim_message_auth_akap_query_new ()
gboolean | mbim_message_auth_akap_response_parse ()
MbimMessage * | mbim_message_auth_sim_query_new ()
gboolean | mbim_message_auth_sim_response_parse ()

## Description

## Functions

### mbim_message_auth_aka_query_new ()

    MbimMessage *
    mbim_message_auth_aka_query_new (const guint8 *rand,
                                     const guint8 *autn,
                                     GError **error);

Create a new request for the 'Aka' query command in the 'Auth' service.

#### Parameters

rand | the 'Rand' field, given as an array of 16 guint8 values. |
autn | the 'Autn' field, given as an array of 16 guint8 values. |
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_auth_aka_response_parse ()

    gboolean
    mbim_message_auth_aka_response_parse (const MbimMessage *message,
                                          const guint8 **res,
                                          guint32 *res_len,
                                          const guint8 **integrating_key,
                                          const guint8 **ciphering_key,
                                          const guint8 **auts,
                                          GError **error);

Create a new request for the 'Auts' response command in the 'Auth' service.

#### Parameters

message | the MbimMessage. |
res | return location for an array of 16 guint8 values. Do not free the returned value, it is owned by `message` . |
res_len | return location for a guint32, or `NULL` if the 'ResLen' field is not needed. |
integrating_key | return location for an array of 16 guint8 values. Do not free the returned value, it is owned by `message` . |
ciphering_key | return location for an array of 16 guint8 values. Do not free the returned value, it is owned by `message` . |
auts | return location for an array of 14 guint8 values. Do not free the returned value, it is owned by `message` . |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

### mbim_message_auth_akap_query_new ()

    MbimMessage *
    mbim_message_auth_akap_query_new (const guint8 *rand,
                                      const guint8 *autn,
                                      const gchar *network_name,
                                      GError **error);

Create a new request for the 'Akap' query command in the 'Auth' service.

#### Parameters

rand | the 'Rand' field, given as an array of 16 guint8 values. |
autn | the 'Autn' field, given as an array of 16 guint8 values. |
network_name | the 'NetworkName' field, given as a string. |
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_auth_akap_response_parse ()

    gboolean
    mbim_message_auth_akap_response_parse (const MbimMessage *message,
                                           const guint8 **res,
                                           guint32 *res_len,
                                           const guint8 **integrating_key,
                                           const guint8 **ciphering_key,
                                           const guint8 **auts,
                                           GError **error);

Create a new request for the 'Auts' response command in the 'Auth' service.

#### Parameters

message | the MbimMessage. |
res | return location for an array of 16 guint8 values. Do not free the returned value, it is owned by `message` . |
res_len | return location for a guint32, or `NULL` if the 'ResLen' field is not needed. |
integrating_key | return location for an array of 16 guint8 values. Do not free the returned value, it is owned by `message` . |
ciphering_key | return location for an array of 16 guint8 values. Do not free the returned value, it is owned by `message` . |
auts | return location for an array of 14 guint8 values. Do not free the returned value, it is owned by `message` . |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

### mbim_message_auth_sim_query_new ()

    MbimMessage *
    mbim_message_auth_sim_query_new (const guint8 *rand1,
                                     const guint8 *rand2,
                                     const guint8 *rand3,
                                     guint32 n,
                                     GError **error);

Create a new request for the 'Sim' query command in the 'Auth' service.

#### Parameters

rand1 | the 'Rand1' field, given as an array of 16 guint8 values. |
rand2 | the 'Rand2' field, given as an array of 16 guint8 values. |
rand3 | the 'Rand3' field, given as an array of 16 guint8 values. |
n | the 'N' field, given as a guint32. |
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_auth_sim_response_parse ()

    gboolean
    mbim_message_auth_sim_response_parse (const MbimMessage *message,
                                          guint32 *sres1,
                                          guint64 *kc1,
                                          guint32 *sres2,
                                          guint64 *kc2,
                                          guint32 *sres3,
                                          guint64 *kc3,
                                          guint32 *n,
                                          GError **error);

Create a new request for the 'N' response command in the 'Auth' service.

#### Parameters

message | the MbimMessage. |
sres1 | return location for a guint32, or `NULL` if the 'Sres1' field is not needed. |
kc1 | return location for a guint64, or `NULL` if the 'Kc1' field is not needed. |
sres2 | return location for a guint32, or `NULL` if the 'Sres2' field is not needed. |
kc2 | return location for a guint64, or `NULL` if the 'Kc2' field is not needed. |
sres3 | return location for a guint32, or `NULL` if the 'Sres3' field is not needed. |
kc3 | return location for a guint64, or `NULL` if the 'Kc3' field is not needed. |
n | return location for a guint32, or `NULL` if the 'N' field is not needed. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

## Types and Values